﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.Misc;

namespace WE_DropDownButtonBorder
{
    class CustomDrawFilter : IUIElementDrawFilter
    {
        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            drawParams.DrawBorders(UIElementBorderStyle.Rounded3, 
                System.Windows.Forms.Border3DSide.All, 
                Color.Gray, 
                drawParams.Element.DrawingRect, 
                drawParams.Element.DrawingClipRect);

            return false;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is DropDownButtonControlUIElement)
            {
                return DrawPhase.BeforeDrawBorders;
            }

            return DrawPhase.None;
        }
    }
}
